#pragma once
#include "Mod.h"

#include "Client.h"

class SessionInfo : public Mod {
public:
	int style = 0;
	float blurs = 5.f;
	bool outline = false;

	SessionInfo() : Mod(_("Session Info"), _("Draws the current session."), Category::RENDER) {
		settings.push_back(new Setting{ _("Style"), &style, new int(1), new int(0), 1, {
			_("Rise"),
			_("Packet")
			}, true, 10.f });

		settings.push_back(new Setting{ _("Blurs"), &blurs, new float(10.f), new float(0.f), 2, {}, true, 10.f });
		settings.push_back(new Setting{ _("Outline"), &outline, 0, 0, 0, {}, true });

		pos = ImVec2(130.f, Client::windowsize.y / 4);

		enabled = false;
	}
	ImVec2 pos = ImVec2();
private:
	virtual auto onImGuiRender() -> void override;
};
